Subject: Re: [lojban] More interface words

From: Value Yourself <[email-masked]>
Date: Mon, 23 Apr 2001 18:55:52 -0400 (EDT)

On Mon, 23 Apr 2001, Rob Speer wrote:

> On Mon, Apr 23, 2001 at 01:30:38AM -0400, Value Yourself wrote:
> > On Sun, 22 Apr 2001, Rob Speer wrote:
> >
> > > Okay, in what I've done now I've got a few more words.
> > >
> > > dialog box: reirdatni canko
> >
> >
> > Why not reica'o? (Isn't the datni part implied, or redundant?)
>
> Possibly. I want some sort of distinction between "question box" (a yes/no or
> OK/Cancel kind of thing) and "dialog box".

I see what you mean. skicu canko? (explainer-box)

> > > applet: cmamutmi'i
> > > (I'm sticking by mutmi'i this time. The process (samru'e) performed by an
> > > applet may not be small, but the program in general (mutmi'i) is
> > > unobtrusive and small in its representation.)
> >
> >
> > Although, also consider selpla mutmi'i. I would consider the "size" of a
> > piece of software to be its memory footprint instead of the size of its
> > icon.
>
> plan-ish program? Sounds like a development environment to me. Where does the
> 'small' part go?

Yeah, for this I copied your old term for desktop without thinking about
it.

> > > animation: mu'uxra
> > skina?
>
> That could work for an MPEG or AVI or something, but the context in which I'm
> using it here is for a dumb applet which shows a three-frame animation of a
> fish. Pretty lousy 'cinema' if you want to call it that. :)

Still, I would think of it of a rufsu skina more than a muvdu pixra, which
sounds more like an icon that moves around the screen.

> > Not that you aren't, but one good thing to consider might be standardizing
> > on a "voice"; will the voice be that of the user ("I want to shutdown"),
> > that of the computer ("Shut me down"), or a narrator ("Shut your computer
> > down")...I think you will find all three mixed randomly throughout
> > existing software. I don't have a strong preference.
>
> What I've been doing is:
> - I use the voice of the user when the text corresponds to a control that the
> user selects
> ("ko benji le tcika le datnysro")
> - I use the voice of the computer when the text is just information
> ("ledo canko jitro na mapti la gnom.")
> - I avoid pronouns (that would be the narrator, I guess) when I'm not sure.

I hope this isn't more confusing than using a single voice everywhere.

------
1.Why are you measuring the measure? The measure is the same. Even after
Great One, the bones will be broken. I am telling you. Relic should believe me.
2.Where after religion you believe in religion and wish that to Ora.
Emptiness is that what Baby God's Eye is fighting for.